"""
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Revit category property names.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
"""
#
# License:
#
#
# Revit Batch Processor Sample Code
#
# BSD License
# Copyright © 2023, Jan Christel
# All rights reserved.

# Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

# - Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
# - Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
# - Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
#
# This software is provided by the copyright holder "as is" and any express or implied warranties, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose are disclaimed. 
# In no event shall the copyright holder be liable for any direct, indirect, incidental, special, exemplary, or consequential damages (including, but not limited to, procurement of substitute goods or services; loss of use, data, or profits; 
# or business interruption) however caused and on any theory of liability, whether in contract, strict liability, or tort (including negligence or otherwise) arising in any way out of the use of this software, even if advised of the possibility of such damage.
#
#
#
# -------------------------- get category properties ---------------------------------

#: category properties dictionary key names and default values
#: material name
PROPERTY_MATERIAL_NAME = "MaterialName"


#: material name default value
PROPERTY_MATERIAL_NAME_VALUE_DEFAULT = "None"


#: material id
PROPERTY_MATERIAL_ID = "MaterialId"


#: line weight projection name
PROPERTY_LINE_WEIGHT_PROJECTION_NAME = "LineWeightProjection"


#: line weight cut name
PROPERTY_LINE_WEIGHT_CUT_NAME = "LineWeightCut"


#: line colour red name
PROPERTY_LINE_COLOUR_RED_NAME = "Red"


#: line colour green name
PROPERTY_LINE_COLOUR_GREEN_NAME = "Green"


#: line colour blue name
PROPERTY_LINE_COLOUR_BLUE_NAME = "Blue"


#: graphic styles used for elements in families
#: graphic style projection name
CATEGORY_GRAPHIC_STYLE_PROJECTION = "Projection"


#: graphic style cut name
CATEGORY_GRAPHIC_STYLE_CUT = "Cut"


#: graphic style 3D name
CATEGORY_GRAPHIC_STYLE_3D = "3D"
